# BrutalWiki syntax reference

A blank line makes a new paragraph. One is automatically inserted at the start absent other block markup.

Links look like this:

```
 -> Internal wiki link

 => https://communitywiki.org/ CommunityWiki front page
```

(Suppress block-level markup simply by putting a space in front.)

## Advanced markup

More advanced syntax is only supported by the full edition:

**NOTE: the syntax for images changed between versions 1.2 and 1.3; this was done now before BrutalWiki has too many users.**

```
 ## Level 2 heading
 ### Level 3 heading
 <<< or [quote] on a line by itself starts a block quote.
 >>> or [/quote] ends an open quote. Beware of nesting.
 --- 3-5 dashes on a line by themselves make a horizontal rule.
 ----
 -----
 ~> logo.svg BrutalWiki logo
 %% The above is an image. This is a comment.

 (((
 - this is an unordered list
 * items can start with - / * / +
 )))
 [list] and [/list] are synonyms to ((( and )))
 Use [[[ and ]]] instead to make ordered lists.

 [left] and [right] open a box that's floated to that side of the page.
 [center] opens a box with centered content.
 [back] closes the [i]last[/i] box opened by one of the above.

 A line starting with {{{ opens a preformatted text block.
 A line consisting entirely of }}} closes preformatted text.
```

### Tables

BrutalWiki supports tables through the same syntax as MediaWiki (vertical layout only):

```
{|
 |+ Caption
 |-
 ! Header A
 ! Header B
 |-
 | Cell A1
 | Cell B1
 |}
```

Note that unlike with most other wiki syntax, a leading space is required on lines within a table: the vertical bars must align!

### Inline markup

```
Supported inline markup includes [b]bold[/b], [i]italic[/i],
[s]strikethrough[/s], <<short quotations>> and {{code samples}}.
```

Some alternative markup exists here too:

```
[q] ... [/q] and [c] ... [/c] also work for quotes and code.
```

Line breaks and em-dashes work `\\` like this -- it's that easy.

((Fine print: use double round parentheses for legal notices and the like.))

Last but not least, some character entities are also supported (only &mdash; and &bull; as of version 1.0 beta).
